Math Bingo 1.1
 LatticeWork Software, 1994
 
                            
Math Bingo: A fun and easy way to learn math facts in number 
recognition and addition.

Requirements
     
Windows 3.1
VGA monitor
mouse
Windows-supported sound card preferred
hard drive

Installation

To install Math Bingo, in Windows, select 'Run' from the 
'File' menu and type: B:\INSTALL.EXE.
 - The program will ask for the destination path.  For the
default pathname of C:\LATTICE\MBINGO, just press <ENTER>.  To
install the program in a different subdirectory, or on a
different drive, type the path name as in the following:
                C:\MATH
 - the installation program will then create the directory, and
copy files from the floppy disk.  NOTE: Install will exit with
an ERROR message if any of the necessary files on the
installation disk have been erased.
 - Once the files have been copied, install will create the
program group and program item.  Double-click on the program
item to start the program.


Starting a New Game

To start a new game of Math Bingo, click once on the Play!
menu option.  The program will ask whether there is one player
(playing against the computer) or two players (playing with a
friend).  Click on the button or the text of the option you
want, then either click on OK or press <ENTER>.

The program will now ask for the player's name(s).  You may
just click on OK or press <ENTER> for the default name(s)
"Player1" (and "Player 2").

NOTE: In a 2-player game, DO NOT press <ENTER> after typing the
first player's name.  To enter the second player's name, either
click on the text box for the second player or use TAB to move
to that text box.  After you have entered the name(s), click on
OK or press <ENTER>.

Finally, select a play operation.  You may click on either the
button or the text of the option you want, or use the up and
down arrows.  Then click on OK or press <ENTER>.
 
You may start a new game even if the current one is not yet
completed.

Playing the Game

The player on the left goes first.  The problem will be
displayed beneath the bingo card of the current player.

To play, if your bingo card contains the correct answer to the
problem, click on that block.  Or, you may click on the "free"
space in the center of the bingo card.  If you click on the
"free" space, your turn continues.

If you do not have the answer on your bingo card, you must
click on the Pass button.  But the program will not allow you
to pass if there is a valid answer on the bingo card.

Next, the second player or the computer will take a turn.  Only 
after the second player or the computer takes a turn, does the
program check to see if either player has bingo.  Unlike
regular bingo, in Math Bingo the two players have different
problems to solve, and for fairness a check for bingo cannot be
done until both players have taken a turn.

The players alternate turns until one or both have bingo.

If the player chooses an incorrect block, the program will say
"Try again" and wait for the same player to make another
attempt.

If the player chooses PASS when there is a valid answer on the
bingo card, the program will say "Please check again" and wait
for the same player to make another attempt.

The player is never penalized for an incorrect response.

If the player chooses an incorrect block, or chooses PASS when
there is a valid answer on the bingo card, the program will
(after three incorrect attempts) display the answer on the
screen, along with a voice message.

Play continues with the same player until she or he makes the
correct response.

Advanced players can take advantage of the fact that numbers
are often repeated on the bingo card, and play strategically.

Sound

Choose the menu options to turn the voices on and off.  The
dimmed option is the one that is currently activated, and
hence, cannot be chosen.  Turning voices on and off may be done
at any time during the game.

If you turn the voices off, there will be no voice messages
telling you of any incorrect attempts.  In this case the
program will wait for another attempt by the same player.

NOTE: If you have a microphone hooked up to your computer, you
can make the game more exciting by having your children record
their own messages.  Use the Sound Recorder (a Windows 3.1
Accessory).  (See your Windows 3.1 documentation).

Open one of the files with a .WAV extension using the Sound
Recorder.  Play it, and then record your own message, saving it
to that same file.  WARNING: The file names must remain the
same.  Be sure to delete any blank space before or after the
actual voice message using the Edit commands.  Otherwise the
program will spend time playing back files containing blank
spaces, which may be large.  Eliminating blank spaces will also
decrease the file size.

Speed

The menu options for speed will cause the computer turn's
response time to become slower or faster.  It will also cause
the bonus blocks to stay on the screen for a longer or shorter
period of time after a bonus block has been played.  Choose the
time according to your or your child's preference.  Initially,
the computer speed is set to average.

Warning

The Math Bingo window should be maximized at all times
while playing the game.  Decreasing the size of the window may
cause part of the screen to disappear.  Minimizing the screen,
and then subsequently maximizing, by double-clicking on the
Math Bingo icon is fine.

DISCLAIMER - AGREEMENT

LIMITED WARRANTY

THIS SOFTWARE AND MANUAL ARE PROVIDED FOR EVALUATION ONLY, ON AN "AS
IS" BASIS.  LATTICEWORK SOFTWARE DISCLAIMS ALL WARRANTIES RELATING
TO THIS SOFTWARE, WHETHER EXPRESSED  OR IMPLIED, INCLUDING BUT NOT
LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR
A PARTICULAR PURPOSE. NEITHER LATTICEWORK SOFTWARE NOR ANYONE ELSE
WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION, OR DELIVERY OF
THIS SOFTWARE SHALL BE LIABLE FOR ANY INDIRECT, CONSEQUENTIAL, OR
INCIDENTAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE SUCH
SOFTWARE, EVEN IF LATTICEWORK SOFTWARE HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES OR CLAIMS.  THE PERSON USING THE SOFTWARE
BEARS ALL RISK AS TO THE QUALITY AND PERFORMANCE OF THE SOFTWARE.

"Math Bingo" is a "shareware program" and is provided
at no extra charge to the user for evaluation.  Feel free to
share it with your friends, but please do not give it away
altered or as part of another system.  The essence of
"user-supported" software is to provide personal computer users
with quality software without high prices, and yet to provide
incentive for programmers to continue to develop new products.
If you find this program useful and find that you are using
"Math Bingo" and continue to use "Math Bingo"
after a reasonable trial period, you must make a registration
payment of "6.95 to LatticeWork Software.  (See Registration
below.  The $6.95 registration fee will license one copy for
use on any one computer at any one time.  You must treat
this software like a book.  An example is that this
software may be used by any number of people and may
be freely moved from one computer location to another,
so long as there is no possibility of it being used
at one location while it's being used at another.  Just as a
book cannot be read by two different persons at the same time.

You are encouraged to pass a copy of "Math Bingo"
along to your friends for evaluation.  Please encourage them
to register their copy if they find they can use it.  All
registered users will receive a registration key which can
be used to turn off the registration reminder screens.
The following support of Math Bingo is provided: 
LatticeWork Software will answer questions and fix serious bugs
during a one-year period after registration.  For problems
involving specific hardware or software environment or feature,
LatticeWork Software may choose not to modify the program.  In
that case, if a problem is reported within three months after
registration, then LatticeWork Software will refund the user's
registration price.  You may contact LatticeWork Software at
the following addresses:

1)  LatticeWork Software
    P.O. Box 362
    Lafayette Hill, PA 19444

2)  By way of America Online mail to LatticeWrk

3)  By way of CompuServe Mail 74453,2112

This program is produced by a member of the Association of
Shareware Professionals (ASP).  ASP wants to make sure that the
shareware principle works for you.  If you are unable to
resolve a shareware-related problem with an ASP member by
contacting the member directly, ASP may be able to help.  The
ASP Ombudsman can help you resolve a dispute or problem with an
ASP member, but does not provide technical support for members'
products.  Please write to the ASP Ombudsman at 545 Grover
Road, Muskegon, MI 49442-9427 USA, FAX 616-788-2765 or send a
CompuServe message via CompuServe Mail to ASP Ombudsman 70007,
3536

REGISTRATION

This program is shareware.  You have a limited license to use
this program for a period of time to evaluate it.  If, after
this evaluation period, you wish to continue to use it you are
required to register it.  Or you may wish instead to order
"Math Bingo Pro."  To do so, choose "Register Math Bingo"
 from the "Register" menu, fill in the dialog box and
follow instructions.  Or print the file register.wri (using
Windows Accessory Write) or print register.txt from DOS, fill in
the form and mail to:

        LatticeWork Software
        P.O. Box 362
        Lafayette Hill, PA 19444

("Math Bingo Pro" has two levels of number recognition, addition,
and subtraction (including the levels in the Math Bingo game),
as well as two levels each of multiplication and division.
Math Bingo Pro also has a Bonus Game, which makes the program
even more fun to play.)

